Решение manifest for yiisoftware/yii2-php:latest not found


При попытке скачать образ yii2-php с docker-hub Вы, вероятно, получите ошибку manifest ... not found. В короткой статье я расскажу, как решить эту проблему.

Итак, проблема говорит, что docker не может найти :latest-версию репозитория. Согласно официальному ответу нужно использовать явное указание версии, которая Вам нужна.

На момент написания статьи список версий выглядит так:

7.2-apache
7.1-apache
7.0-apache
5.6-apache
7.1-fpm
7.2-fpm
7.0-fpm
5.6-fpm

Таким образом для работы с образом нужно выполнить команду:

docker pull yiisoftware/yii2-php:7.3-apache

Здесь мы явно указываем, что хотим php с версией 7.3 и предустановленный Apache. Если Вам нужен nginx — используйте метки с суффиксом fpm.

Надеюсь статья помогла Вам решить проблему. В случае чего — пишите в Комментарии — постараемся вместе решить проблему.


Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *